summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorruki <[email protected]>2021-11-19 23:12:23 +0800
committerGitHub <[email protected]>2021-11-19 23:12:23 +0800
commitbcc082c14f6b0a139fe3be47e43bcd5bab138d6b (patch)
tree6284028a6054ff4e11ff789cc058c6a4f991fa58 /scripts
parentfa24e12bd740b6fd57a8787aebe14d0784c4ce32 (diff)
parentb995865e5b4211ed455703b242cf3614677bf296 (diff)
Merge pull request #1841 from xq114/dev
update install scripts
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.ps14
-rwxr-xr-xscripts/get.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/scripts/get.ps1 b/scripts/get.ps1
index f03d80fa4..449e0e3a1 100755
--- a/scripts/get.ps1
+++ b/scripts/get.ps1
@@ -11,7 +11,7 @@ param (
)
& {
- $LastRelease = "v2.5.8"
+ $LastRelease = "v2.5.9"
$ErrorActionPreference = 'Stop'
function writeErrorTip($msg) {
@@ -157,7 +157,7 @@ param (
writeErrorTip 'Check your network or... the news of S3 break'
return
}
- Set-Content $file "$content`n$appendcontent" -NoNewline
+ Set-Content $file "$content`n# >>> xmake >>>`n$appendcontent`n# <<< xmake <<<`n" -NoNewline
. $file
Write-Host "Tab completion installed"
}
diff --git a/scripts/get.sh b/scripts/get.sh
index 01634a967..b32c28b6f 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -225,7 +225,7 @@ else
fi
write_profile()
{
- grep -sq ".xmake/profile" $1 || echo -e "\n[[ -s \"\$HOME/.xmake/profile\" ]] && source \"\$HOME/.xmake/profile\" # load xmake profile" >> $1
+ grep -sq ".xmake/profile" $1 || echo -e "\n# >>> xmake >>>\n[[ -s \"\$HOME/.xmake/profile\" ]] && source \"\$HOME/.xmake/profile\" # load xmake profile\n# <<< xmake <<<" >> $1
}
install_profile()
{